Subject: Re: [PATCH 1/2] commit: do not cleanup template

From: Sebastian Schuberth <[email-masked]>
Date: Sun, 08 May 2011 10:47:04 +0200

On 07.05.2011 22:13, Junio C Hamano wrote:

> These two commits change the longstanding behaviour. It is hard to tell if
> the existing behaviour is something people who use commit log message
> templates have relied on (in which case your patch will be a regression to
> them) or they all shared the sense of annoyance and have been wishing to
> be improved (in which case nobody will be inconvenienced with your patch).
> They need to be explained a bit better why these changes are needed.

I forgot this in my first mail: Being one of the poeple that in general 
shares Boris' sense of annoyance, I'm voting in favor of his patch [1/2] 
(or mine, if it is any better), but not [2/2].

For any poeple that might be inconvenienced by the patch there is a 
trivial one-time fix: Strip whitespaces from their template. Because of 
this, I believe it is OK to change the long-standing behavior in this case.

-- 
Sebastian Schuberth